Skip to main content
POST
/
liveai
/
sessions
/
{session_id}
/
join-meeting
Join third party meeting platform
curl --request POST \
  --url https://lemonslice.com/api/liveai/sessions/{session_id}/join-meeting \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "meeting_url": "https://meet.google.com/abc-defg-hij",
  "livekit_url": "wss://lemonslice-pb123.livekit.cloud",
  "broadcast_token": "<LIVEKIT_BROADCAST_TOKEN>",
  "bot_name": "LemonSlice Avatar"
}
'
{
  "meeting_bot_id": "meeting-bot-abc123",
  "websocket_url": "wss://example.com/agent-audio/session-id?token=..."
}

Authorizations

X-API-Key
string
header
required

Your LemonSlice API token.

Path Parameters

session_id
string
required

The ID of the active LemonSlice session whose avatar should join the third party meeting platform.

Body

application/json
meeting_url
string
required

HTTPS URL for the third party meeting platform. Supported platforms: Zoom, Google Meet, Microsoft Teams, and Webex. For platforms that support it (e.g. Zoom), include the meeting password in the URL.

Example:

"https://meet.google.com/abc-defg-hij"

livekit_url
string
required

The LiveKit server URL (wss://) for the session.

Example:

"wss://lemonslice-pb123.livekit.cloud"

broadcast_token
string
required

A LiveKit JWT with room permissions used to publish the avatar video stream to the third party meeting platform.

Example:

"<LIVEKIT_BROADCAST_TOKEN>"

bot_name
string

Optional display name for the avatar in the third party meeting platform.

Example:

"LemonSlice Avatar"

Response

Avatar is joining the third party meeting platform.

meeting_bot_id
string
required

ID for the joined third party meeting platform. Pass this to the leave-meeting endpoint when removing the avatar from the third party meeting platform.

Example:

"meeting-bot-abc123"

websocket_url
string
required

WebSocket URL for receiving agent audio from the third party meeting platform.

Example:

"wss://example.com/agent-audio/session-id?token=..."